Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 138306 - HTML code completion is missing in NetBeans6.5M1?
HTML code completion is missing in NetBeans6.5M1?
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 06:05 UTC by gml520
Modified: 2009-05-18 10:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
the HTML code completion in NetBeans6.1 (119.42 KB, image/jpeg)
2008-06-26 06:07 UTC, gml520
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gml520 2008-06-26 06:05:54 UTC
I am very happy to see the NetBeans become better.
but I want to know why the Html code auto completion removed? when I type the code like this:
<form>
<input tpye="text">
</form>

in NetBeans 6.1 when I press the space key after "text" then the IDE auto Popup the completion window
then you can select the item that you want.  but now in NetBeans6.5 M1 that is missing!
It's important for me ! I like it very much! I hope the Html code auto completion can come back!
Comment 1 gml520 2008-06-26 06:07:26 UTC
Created attachment 63476 [details]
the HTML code completion in NetBeans6.1
Comment 2 Marek Fukala 2008-06-26 16:39:21 UTC
This is a bug. I am not sure whether it worked in 6.1, but in current 6.5 builds the completion is not opened
automatically when typing space after the previous attribute value. It works if there is a whitespace between the
quotation mark and the greater than character.

The completion autopopup also doesn't work if you complete an attribute - the ="" part is added, caret moved between the
quotation marks but no cc window is opened.

I am sorry for such regressions, they are bug, needs to be fixed in 6.5. I'll try to fix it to 6.5 M2.
Comment 3 gml520 2008-06-27 02:24:07 UTC
Thank you for your reply! 
I am a Chinese ,and my friends told me,that the NetBeans is more better than ever,after they see
the http://wiki.netbeans.org/NewAndNoteWorthyMilestone1NB65 
and they say "I will try it". also someone tell me it as better as myeclipse! so cool!
Comment 4 Marek Fukala 2008-08-21 11:16:07 UTC
already fixed

<input type="text" + SPACE opens completion


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo